﻿using WF_WebAdmin.Model;

namespace WF_WebAdmin.Converter
{
    /// <summary>
    /// Fournit des extensions pour convertir des objets de type <see cref="DailyQuote"/> en objets de type <see cref="DailyQuoteDTO"/>.
    /// </summary>
    public class DailyQuoteExtension
    {
        /// <summary>
        /// Convertit une instance de <see cref="DailyQuote"/> en une instance de <see cref="DailyQuoteDTO"/>.
        /// </summary>
        /// <param name="dq">L'objet <see cref="DailyQuote"/> à convertir.</param>
        /// <returns>Une instance de <see cref="DailyQuoteDTO"/> contenant l'identifiant de la citation quotidienne.</returns>
        public DailyQuoteDTO DailyQuoteToDTO(DailyQuote dq)
        {
            // Création de l'objet DTO à partir de l'objet DailyQuote
            DailyQuoteDTO dailyQuote = new DailyQuoteDTO(dq.Id);
            return dailyQuote;
        }
    }
}
