﻿using WF_WebAdmin.Model;

namespace WF_WebAdmin.Converter
{
    /// <summary>
    /// Classe d'extension permettant la conversion entre un utilisateur et son Data Transfer Object (DTO).
    /// </summary>
    public class UserExtension
    {
        /// <summary>
        /// Convertit un objet <see cref="UserDTO"/> en un objet <see cref="User"/>.
        /// </summary>
        /// <param name="u">L'objet <see cref="UserDTO"/> à convertir.</param>
        /// <returns>Retourne un nouvel objet <see cref="User"/> avec les données du DTO.</returns>
        public User UserToDTO(UserDTO u)
        {
            // Création d'un objet User à partir des données du DTO
            User user = new User(u.Image, u.Name, u.Email, u.DateCreation, u.IsAdmin);
            return user;
        }

        /// <summary>
        /// Convertit un objet <see cref="User"/> en un objet <see cref="UserDTO"/>.
        /// </summary>
        /// <param name="u">L'objet <see cref="User"/> à convertir.</param>
        /// <returns>Retourne un nouvel objet <see cref="UserDTO"/> avec les données de l'utilisateur.</returns>
        public UserDTO DTOToUser(User u)
        {
            // Création d'un objet UserDTO à partir des données de l'utilisateur
            UserDTO user = new UserDTO(u.Image, u.Name, u.Email, u.DateCreation);
            return user;
        }
    }
}
