﻿using System.ComponentModel.DataAnnotations;

namespace WF_WebAdmin.Model
{
    /// <summary>
    /// Modèle représentant les données nécessaires à la création ou à la modification d'un quiz.
    /// </summary>
    public class QuizModel
    {
        /// <summary>
        /// Question posée dans le quiz.
        /// Cette propriété est obligatoire et doit être d'une longueur maximale de 200 caractères.
        /// </summary>
        [Required]
        [StringLength(200, ErrorMessage = "La question ne peut pas depasser les 200 caractère.")]
        public string Question { get; set; }

        /// <summary>
        /// Première réponse possible pour le quiz.
        /// Cette propriété est obligatoire et doit être d'une longueur maximale de 50 caractères.
        /// </summary>
        [Required]
        [StringLength(50, ErrorMessage = "La réponse ne peut pas depasser les 50 caractère.")]
        public string AnswerA { get; set; }

        /// <summary>
        /// Deuxième réponse possible pour le quiz.
        /// Cette propriété est obligatoire et doit être d'une longueur maximale de 50 caractères.
        /// </summary>
        [Required]
        [StringLength(50, ErrorMessage = "La réponse ne peut pas depasser les 50 caractère.")]
        public string AnswerB { get; set; }

        /// <summary>
        /// Troisième réponse possible pour le quiz.
        /// Cette propriété est obligatoire et doit être d'une longueur maximale de 50 caractères.
        /// </summary>
        [Required]
        [StringLength(50, ErrorMessage = "La réponse ne peut pas depasser les 50 caractère.")]
        public string AnswerC { get; set; }

        /// <summary>
        /// Quatrième réponse possible pour le quiz.
        /// Cette propriété est obligatoire et doit être d'une longueur maximale de 50 caractères.
        /// </summary>
        [Required]
        [StringLength(50, ErrorMessage = "La réponse ne peut pas depasser les 50 caractère.")]
        public string AnswerD { get; set; }

        /// <summary>
        /// Réponse correcte au quiz, choisie parmi A, B, C ou D.
        /// Cette propriété est obligatoire.
        /// </summary>
        [Required]
        public string CAnswer { get; set; }
    }
}
