﻿namespace WF_WebAdmin.Model
{
    /// <summary>
    /// Représente une source d'une citation dans le système.
    /// Cette classe contient des informations sur la source d'une citation, telles que son titre et sa date de publication.
    /// </summary>
    public class Source
    {
        /// <summary>
        /// Identifiant unique de la source.
        /// </summary>
        public int id_source { get; set; }

        /// <summary>
        /// Titre de la source, tel qu'un livre, un article ou une œuvre.
        /// </summary>
        public string title { get; set; }

        /// <summary>
        /// Date de publication de la source.
        /// Il s'agit d'une représentation de l'année sous forme d'entier.
        /// </summary>
        public int date { get; set; }
    }
}
