﻿using Microsoft.AspNetCore.Components;
using Npgsql;
using System.Data;
using WF_WebAdmin.Model;
using System.Collections.Generic;
using System;
using System.Threading.Tasks;
using System.Linq;

namespace WF_WebAdmin.Pages
{
    /// <summary>
    /// Composant Blazor pour afficher et valider des citations.
    /// </summary>
    public partial class ValidQuote
    {
        /// <summary>
        /// Tableau contenant les citations à valider.
        /// </summary>
        private Quote[] quotes;

        /// <summary>
        /// Client HTTP injecté pour effectuer des requêtes API.
        /// </summary>
        [Inject]
        public HttpClient Http { get; set; }

        /// <summary>
        /// Gestionnaire de navigation injecté pour gérer les URL.
        /// </summary>
        [Inject]
        public NavigationManager NavigationManager { get; set; }

        /// <summary>
        /// Méthode appelée à l'initialisation du composant pour charger les citations.
        /// </summary>
        protected override async Task OnInitializedAsync()
        {
            quotes = await Http.GetFromJsonAsync<Quote[]>($"{NavigationManager.BaseUri}fake-dataQuote.json");
        }
    }
}
